# $Revision: 1.35 $, $Date: 2002/02/04 04:07:54 $
Summary:	GOB, The GTK+ Object Builder
Summary(pl):	GOB, Budowniczy obiektw GTK+
Name:		gob
Version:	1.0.12
Release:	1
License:	GPL
Group:		Development/Tools
Group(de):	Entwicklung/Werkzeuge
Group(fr):	Development/Outils
Group(pl):	Programowanie/Narzdzia
Source0:	ftp://ftp.5z.com/pub/gob/%{name}-%{version}.tar.gz
Patch0:		%{name}-am15.patch
URL:		http://www.5z.com/jirka/gob.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	glib-devel >= 1.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GOB is a simple preprocessor for making GTK+ objects. It makes objects
from a single file which has inline C code so that you don't have to
edit the generated files. Syntax is somewhat inspired by java and
yacc.

%description -l pl
GOB jest prostym preprocesorem sucym do tworzenia obiektw GTK+.
Tworzy on obiekty z pojedynczego pliku posiadajcego wbudowany kod C,
dlatego nie musi si edytowa wygenerowanych plikw. Skadnia jest do
pewnego stopnia inspirowana Jav i Yaccem.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
aclocal
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4dir=%{_aclocaldir}

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

gzip -9nf README AUTHORS NEWS TODO ChangeLog

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_aclocaldir}/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gob.spec,v $
Revision 1.35  2002/02/04 04:07:54  kloczek
- updated to 1.0.12.

Revision 1.34  2002/01/18 02:13:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2001/10/01 16:15:31  kloczek
- updated to 1.0.11.

Revision 1.32  2001/09/10 03:54:15  kloczek
- release 2,
- added flex to BuildRequires,
- added am15 patch fro allow use automake 1.5 on regenerate am files.

Revision 1.31  2001/07/24 16:54:13  waszi
- added am/ac stuff

Revision 1.30  2001/07/02 03:05:12  kloczek
- updated to 1.0.10.

Revision 1.29  2001/04/22 05:35:47  kloczek
- updated to 1.0.9.

Revision 1.28  2001/04/12 17:27:57  kloczek
- updated to 1.0.8.

Revision 1.27  2001/02/26 08:31:26  kloczek
- updated to 1.0.7.

Revision 1.26  2001/02/11 23:33:38  kloczek
- updated to 1.0.6.

Revision 1.25  2001/01/27 23:31:30  kloczek
- change Source url to ftp://ftp.5z.com/pub/gob/

Revision 1.24  2000/10/29 10:19:22  kloczek
- release 2: use new rpm automation.

Revision 1.23  2000/09/11 05:27:18  kloczek
- updated to 1.0.5,
- more macros.

Revision 1.22  2000/07/24 08:11:36  kloczek
- updated to 1.0.4.

Revision 1.21  2000/07/07 10:28:42  kloczek
- updated to 1.0.3.

Revision 1.20  2000/07/01 15:37:18  kloczek
- updated to 1.0.2.

Revision 1.19  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.18  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/06/09 00:16:40  kloczek
- updated to 1.0.1.

Revision 1.16  2000/05/31 13:05:30  kloczek
- updated to 1.0.0.

Revision 1.15  2000/05/21 14:43:02  kloczek
- updated to 0.93.5.

Revision 1.14  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.13  2000/05/01 18:23:42  kloczek
- updated to 0.93.4.

Revision 1.12  2000/04/27 16:06:26  arturs
- added /mnt/3/CVS/SPECSescription -l pl

Revision 1.11  2000/04/16 10:32:39  kloczek
- updated to 0.93.3.

Revision 1.10  2000/04/03 02:04:04  kloczek
- updated to 0.93.2.

Revision 1.9  2000/04/01 11:14:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:22  baggins
- translated kloczkish into english

Revision 1.7  2000/03/27 22:38:39  kloczek
- updated to 0.93.1.

Revision 1.6  2000/03/26 12:58:40  kloczek
- updated to 0.93.0,
- added using %%{_aclocaldir} macro.

Revision 1.5  2000/02/23 10:15:53  waszi
- typo

Revision 1.4  2000/02/22 13:37:10  kloczek
- retrived to prefix to /usr,
- added "BuildRequires: glib-devel >= 1.2.0".

Revision 1.3  2000/02/22 13:27:56  kloczek
- changed install prefix to /usr/X11R6.

Revision 1.2  2000/02/22 13:19:55  kloczek
- examples moved to /usr/src/examples/%%{name}-%%{varsion}

Revision 1.1  2000/02/21 07:08:38  waszi
- initial release

* Tue Feb 7 2000  George Lebl <jirka@5z.com>
- added %{_datadir}/aclocal/* to %files

* Tue Dec 14 1999  George Lebl <jirka@5z.com>
- added the examples dir to the %doc

* Mon Aug 16 1999  George Lebl <jirka@5z.com>
- added gob.spec.in file
